RoutesCommon module
Common routes
URLs the Common module answers, their parameters and the variables each view receives.
Admin view
/cdna-admin/common/layout/{id}
editLayout
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$layout |
Layout |
Retrieved Layout record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/layouts
manageLayouts
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$layouts |
Collection<Layout> |
Collection of Layouts |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/add-layout-category/{parent.id}
addLayoutCategory
Add a new record. Assigns an empty record to the template.
Path parameters
parent.id matches \d+
| Variable | Type | Description |
|---|---|---|
$layoutCategory |
LayoutCategory |
Single (empty) LayoutCategory record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/layout-category/{id}
editLayoutCategory
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$layoutCategory |
LayoutCategory |
Retrieved LayoutCategory record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/layout-categories
manageLayoutCategories
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$layoutCategories |
Collection<LayoutCategory> |
Collection of LayoutCategories |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/add-input-type
addInputType
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$inputType |
InputType |
Single (empty) InputType record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/input-type/{id}
editInputType
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$inputType |
InputType |
Retrieved InputType record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/input-types
manageInputTypes
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$inputTypes |
Collection<InputType> |
Collection of InputTypes |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/add-category/{parent.id}
addCategory
Add a new record. Assigns an empty record to the template.
Path parameters
parent.id matches \d+
| Variable | Type | Description |
|---|---|---|
$category |
Category |
Single (empty) Category record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/category/{id}
editCategory
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$category |
Category |
Retrieved Category record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/categories
manageCategories
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$categories |
Collection<Category> |
Collection of Categories |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/add-tag
addTag
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$tag |
Tag |
Single (empty) Tag record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/tag/{id}
editTag
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$tag |
Tag |
Retrieved Tag record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/tags
manageTags
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$tags |
Collection<Tag> |
Collection of Tags |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/add-widget/{module}/{configName}
addWidget
Add a new record. Assigns an empty record to the template.
Path parameters
module matches \w+configName matches \w+
| Variable | Type | Description |
|---|---|---|
$widget |
Widget |
Single (empty) Widget record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/widget/{id}
editWidget
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$widget |
Widget |
Retrieved Widget record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/widgets
manageWidgets
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$widgets |
Collection<Widget> |
Collection of Widgets |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/add-global-component/{layout.id}
addGlobalComponent
Add a new record. Assigns an empty record to the template.
Path parameters
layout.id matches \d+
| Variable | Type | Description |
|---|---|---|
$globalComponent |
GlobalComponent |
Single (empty) GlobalComponent record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/global-component/{id}/{revision.id}
editGlobalComponent
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+revision.id matches \d+
| Variable | Type | Description |
|---|---|---|
$globalComponent |
GlobalComponent |
Retrieved GlobalComponent record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/global-components
manageGlobalComponents
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$globalComponents |
Collection<GlobalComponent> |
Collection of GlobalComponents |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/search-global-components
searchGlobalComponents
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$globalComponents |
Collection<GlobalComponent> |
Collection of GlobalComponents |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/add-custom-field
addCustomField
Add a new record. Assigns an empty record to the template.
| Variable | Type | Description |
|---|---|---|
$customField |
CustomField |
Single (empty) CustomField record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/custom-field/{id}
editCustomField
Retrieve a single record and display the edit page for the record
Path parameters
id matches \d+
| Variable | Type | Description |
|---|---|---|
$customField |
CustomField |
Retrieved CustomField record |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
/cdna-admin/common/custom-fields
manageCustomFields
Retrieve available records and assign them to the template for editing.
| Variable | Type | Description |
|---|---|---|
$customFields |
Collection<CustomField> |
Collection of CustomFields |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.